/**
 * @file methods/ann/convolution_rules/convolution_rules.hpp
 * @author Ryan Curtin
 *
 * Convenience include for all convolution rules implemented for mlpack's
 * convolutional neural networks.
 *
 * mlpack is free software; you may redistribute it and/or modify it under the
 * terms of the 3-clause BSD license.  You should have received a copy of the
 * 3-clause BSD license along with mlpack.  If not, see
 * http://www.opensource.org/licenses/BSD-3-Clause for more information.
 */
#ifndef MLPACK_METHODS_ANN_CONVOLUTION_RULES_CONVOLUTION_RULES_HPP
#define MLPACK_METHODS_ANN_CONVOLUTION_RULES_CONVOLUTION_RULES_HPP

#include "border_modes.hpp"
#include "fft_convolution.hpp"
#include "naive_convolution.hpp"
#include "svd_convolution.hpp"

#endif
